package NLObject;

import Interp.Interp;

public class Continue implements NLObject
{
    public String getType()
    {
        return "continue";
    }

    public String toString()
    {
        return "continue";
    }

    public NLObject op(String op, NLObject nlo)
    {
        String err = "Cannot apply '" + op + "' in '" + getType() +
                     " " + op + " " + nlo.getType() + "'.";
        Interp.error(err);
        return null;
    }
}
